*** src/backend/utils/adt/ip.c.orig	Sat Oct  3 19:39:44 1998
--- src/backend/utils/adt/ip.c	Sat Oct  3 19:40:47 1998
***************
*** 127,138 ****
  }
  
  bool
- ipaddr_le(ipaddr *a1, ipaddr *a2)
- {
- 	return (ipaddr_lt(a1, a2) || ipaddr_eq(a1, a2));
- }
- 
- bool
  ipaddr_eq(ipaddr *a1, ipaddr *a2)
  {
  	if ((ip_family(a1) == AF_INET) && (ip_family(a2) == AF_INET))
--- 127,132 ----
***************
*** 150,158 ****
  }
  
  bool
! ipaddr_ge(ipaddr *a1, ipaddr *a2)
  {
! 	return (ipaddr_gt(a1, a2) || ipaddr_eq(a1, a2));
  }
  
  bool
--- 144,152 ----
  }
  
  bool
! ipaddr_le(ipaddr *a1, ipaddr *a2)
  {
! 	return (ipaddr_lt(a1, a2) || ipaddr_eq(a1, a2));
  }
  
  bool
***************
*** 171,176 ****
--- 165,176 ----
  			 ip_family(a1), ip_family(a2));
  		return (FALSE);
  	}
+ }
+ 
+ bool
+ ipaddr_ge(ipaddr *a1, ipaddr *a2)
+ {
+ 	return (ipaddr_gt(a1, a2) || ipaddr_eq(a1, a2));
  }
  
  bool
*** src/include/utils/mac.h.orig	Sat Oct  3 16:09:28 1998
--- src/include/utils/mac.h	Sat Oct  3 16:13:40 1998
***************
*** 14,19 ****
--- 14,28 ----
  #define MAC_H
  
  /*
+  * UnixWare needs to include sys/bitypes.h in order to have u_int32_t
+  * defined.
+  */
+ 
+ #if defined(__USLC__)
+ #include <sys/bitypes.h>
+ #endif
+ 
+ /*
   *	This is the internal storage format for IP addresses:
   */
  
*** src/include/c.h.orig	Sat Oct  3 14:29:55 1998
--- src/include/c.h	Sat Oct  3 14:30:42 1998
***************
*** 61,68 ****
  #define false	((char) 0)
  #define true	((char) 1)
  #ifndef __cplusplus
  typedef char bool;
! 
  #endif	 /* not C++ */
  typedef bool *BoolPtr;
  
--- 61,69 ----
  #define false	((char) 0)
  #define true	((char) 1)
  #ifndef __cplusplus
+ #ifndef bool
  typedef char bool;
! #endif   /* ndef bool */
  #endif	 /* not C++ */
  typedef bool *BoolPtr;
  
*** src/pl/plpgsql/src/pl_exec.c.orig	Sat Oct  3 21:32:12 1998
--- src/pl/plpgsql/src/pl_exec.c	Sat Oct  3 21:40:37 1998
***************
*** 1243,1251 ****
  		 * ----------
  		 */
  		if (stmt->reverse)
! 			((int4) (var->value))--;
  		else
! 			((int4) (var->value))++;
  	}
  
  	return PLPGSQL_RC_OK;
--- 1243,1251 ----
  		 * ----------
  		 */
  		if (stmt->reverse)
! 			(int4)var->value--;
  		else
! 			(int4)var->value++;
  	}
  
  	return PLPGSQL_RC_OK;
*** src/test/regress/checkresults.orig	Sun Oct  4 03:22:40 1998
--- src/test/regress/checkresults	Sun Oct  4 03:29:30 1998
***************
*** 7,13 ****
  for file in `cat "$@" | grep 'failed$' | cut -d " " -f 1`
  do
  	echo "======   $file   ======"
! 	diff -uw expected/$file.out results
  done
  
  
--- 7,13 ----
  for file in `cat "$@" | grep 'failed$' | cut -d " " -f 1`
  do
  	echo "======   $file   ======"
! 	diff -w expected/$file.out results
  done
  
  
